Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast.arima
Class ARIMAForecaster

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.AbstractRForecaster
              kieker.tools.tslib.forecast.arima.ARIMAForecaster

All Implemented Interfaces:
  IForecaster<Double>

    public class ARIMAForecaster

extends AbstractRForecaster

An R-based time series forecaster, auto-arima model selection. This is one of the forecasters used in the research paper on Self-adaptive workload classification and forecasting for proactive resource provisioning (http://dx.doi.org/10.1002/cpe.3224), authored by Herbst et al.

Since:
  1.10
Author:
  Andre van Hoorn, Nikolas Herbst The automated ARIMA model selection process of the R forecasting package starts with a complex estimation of an appropriate ARIMA(p, d, q)(P, D, Q)m model by using unit-root tests and an information criterions (like the AIC) in combination with a step-wise procedure for traversing a relevant model space. The selected ARIMA model is then fitted to the data to provide point forecasts and confidence intervals.

Constructor Summary
`ARIMAForecaster(ITimeSeries<Double> historyTimeseries)`
`ARIMAForecaster(ITimeSeries<Double> historyTimeseries, int confidenceLevel)`

Method Summary

Methods inherited from class kieker.tools.tslib.forecast.AbstractRForecaster
`forecast, removeNullValues`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ARIMAForecaster

    public ARIMAForecaster(ITimeSeries<Double> historyTimeseries)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo

### ARIMAForecaster

    public ARIMAForecaster(ITimeSeries<Double> historyTimeseries,
                           int confidenceLevel)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo
  `confidenceLevel` - value of confidence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net